## gpac-2.0.0.tar.gz

=== applications/testapps/udptsseg/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/applications/udptsseg

CFLAGS= $(OPTFLAGS) -I"$(SRC_PATH)/include"

ifeq ($(DEBUGBUILD),yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD),yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

#common obj
OBJS= main.o

LINKFLAGS=-L../../bin/gcc -L../../extra_lib/lib/gcc

ifeq ($(CONFIG_WIN32),yes)
EXE=.exe
PROG=udptsseg$(EXE)
ifeq ($(STATIC_BINARY),yes)
LINKFLAGS+=-lgpac_static -lz $(EXTRALIBS)
else
LINKFLAGS+=-lgpac
endif
else
EXT=
PROG=udptsseg
ifeq ($(STATIC_BINARY),yes)
LINKFLAGS+=-lgpac_static -lz $(EXTRALIBS)
else
LINKFLAGS+=-lgpac
endif
endif

#3 - spidermonkey support
ifeq ($(CONFIG_JS),no)
else
SCENEGRAPH_CFLAGS+=$(JS_FLAGS)
ifeq ($(CONFIG_JS),local)
NEED_LOCAL_LIB=yes
endif
LINKFLAGS+=$(JS_LIBS)
endif


SRCS := $(OBJS:.o=.c) 

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) -o ../../bin/gcc/$@ $(OBJS) $(LINKFLAGS) $(LDFLAGS)

clean: 
	rm -f $(OBJS) ../../bin/gcc/$(PROG)

dep: depend

depend:
	rm -f .depend	
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend

-include .depend

=== debian/changelog ===
gpac (2.0) stable; urgency=low

  * Initial release - see https://github.com/gpac/gpac/releases for more details

 -- Jean Le Feuvre <jeanlf@gpac.io>  Tue, 22 Feb 2022 15:00:00 +0200

=== debian/control ===
Source: gpac
Section: graphics
Priority: optional
Maintainer: Jean Le Feuvre <jeanlf@gpac.io>
Bugs: mailto:jeanlf@gpac.io
Homepage: http://gpac.io
Standards-Version: 3.8.0
Build-Conflicts: libgpac-dev
Build-Depends: debhelper (>= 6), libc6, libc6-dev, libx11-dev (>= 1.3), zlib1g-dev (>= 1), libfreetype6-dev, libjpeg62-dev | libjpeg62-turbo-dev, libpng-dev, libmad0-dev, libfaad-dev, libogg-dev, libvorbis-dev, libtheora-dev, liba52-dev | liba52-0.7.4-dev, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, libavdevice-dev, libavfilter-dev, libxv-dev, x11proto-video-dev, libgl1-mesa-dev, x11proto-gl-dev, libxvidcore-dev, libssl-dev (>= 0.9.8), libjack-dev (>= 0.118), libasound2-dev (>= 1.0), libpulse-dev (>= 0.9), libsdl-dev (>= 1.2) | libsdl2-dev, libnghttp2-dev, ccache

Package: gpac
Architecture: any
Depends: ${shlibs:Depends}
Description: Framework for production, encoding, delivery and interactive playback of multimedia content
 GPAC supports many AV codecs, multimedia containers (MP4,fMP4, TS, avi, mov, mpg, mkv ...), complex
 presentation formats (MPEG-4 Systems, SVG Tiny 1.2, VRML/X3D) and subtitles (SRT, WebVTT, TTXT/TX3G, TTML).
 Supported inputs and outputs are pipes, UDP/TCP/UN sockets, local files, HTTP, DASH/HLS, RTP/RTSP, MPEG-2 TS, 
 ATSC 3.0 ROUTE sessions, desktop grabbing, camera/microphone inputs and any input format supported by FFmpeg.
 GPAC features a highly configurable media processing pipeline extensible through JavaScript, and can be embedded in Python or NodeJS applications.


Package: libgpac-dev
Architecture: any
Section: libdevel
Depends: gpac
Replaces: gpac (<= 1.0.1)
Description: Framework for production, encoding, delivery and interactive playback of multimedia content
 GPAC supports many AV codecs, multimedia containers (MP4,fMP4, TS, avi, mov, mpg, mkv ...), complex
 presentation formats (MPEG-4 Systems, SVG Tiny 1.2, VRML/X3D) and subtitles (SRT, WebVTT, TTXT/TX3G, TTML).
 Supported inputs and outputs are pipes, UDP/TCP/UN sockets, local files, HTTP, DASH/HLS, RTP/RTSP, MPEG-2 TS, 
 ATSC 3.0 ROUTE sessions, desktop grabbing, camera/microphone inputs and any input format supported by FFmpeg.
 GPAC features a highly configurable media processing pipeline extensible through JavaScript, and can be embedded in Python or NodeJS applications.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

#include /usr/share/quilt/quilt.make

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)

ifeq ($(NCPUS),-1)
	NCPUS:=1
endif

ifeq ($(NCPUS),0)
	NCPUS:=1
endif

CFLAGS = -Wall -g
LDFLAGS= --as-needed
IS_DEB_MAKE=1
export IS_DEB_MAKE

CC:=ccache $(CC)
CXX:=ccache $(CXX)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0 -fPIC -DPIC
else
	CFLAGS += -fPIC -DPIC
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	chmod 755 configure
	./configure --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--extra-cflags="$(CFLAGS)" --cc="$(CC)" CXX="$(CXX)"

	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

# TODO: we exclude GPAC Proprietary Extension project: libiconv dependency 
	$(MAKE) -j

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) distclean

#	debian/rules unpatch

	dh_clean bin/gcc/libgpac*

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr \
	moddir=gpac

	$(MAKE) install-lib prefix=$(CURDIR)/debian/tmp/usr

	dh_install

# Prune empty directories
	find debian -type d | xargs rmdir -p --ignore-fail-on-non-empty

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
#	dh_installdocs doc/configuration.html
	dh_installmenu
#	dh_installman doc/man/*.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb --destdir=.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
